library(vioplot)
library(ggplot2)
par(mar=c(4,4,1,0))
par(mfrow=c(1,1))
d1 <- read.table("brca-rsem-fpkm-tcga-t-lab.txt",header = T)
d0 <- read.table("brca-rsem-fpkm-tcga-lab.txt",header = T)

v1=as.numeric(d1[18550,-1])
v0=as.numeric(d0[18550,-1])

#v0=as.matrix(v0)
#v1=as.matrix(v1)

# split violin plot ####
v=data.frame(MC4R=NA,
             classification=NA )
for (i in 1:length(v0)){
  v[i,1]=log(v0[i]+0.1,2)
  v[i,2]="health"
}
for (i in (length(v0)+1):(length(v0)+length(v1))){
  v[i,1]=log(v1[i-length(v0)]+0.1,2)
  v[i,2]="breast cancer"
}

ggplot(v, aes(1, MC4R, fill = classification)) + geom_split_violin() +
  xlab(" ") + ylab("MC4R") +
  ggtitle("distribution of gene expression")

ggplot(v, aes(classification, MC4R, fill = classification)) +
  geom_violin() + geom_boxplot(width=0.05) +
  xlab(" ") + ylab("MC4R") +
  ggtitle("distribution of gene expression")
