#4
#From Yifan Lin
#(1)
control <- read.csv("brca-rsem-fpkm-tcga-lab.txt", header = T, sep = "\t")
swap70 <- subset(control, control$Hugo_Symbol == "SWAP70")
swap70 <- as.vector(t(swap70[,-1]))
library(psych)
print(describe(swap70))

#(2)
sample50 <- sample(swap70, 50)
print(paste("mean of 50 control sample:", mean(sample50)))

#(3)
mean_true <- mean(swap70)
pvalue50 <- t.test(sample50, mu = mean_true)$p.value
if(pvalue50 <= 0.05){print("50 samples: significant")}else{print("50 samples: not significant")}

#(4)
sample70 <- sample(swap70, 70)
print(paste("mean of 70 control sample:", mean(sample70)))
pvalue70 <- t.test(sample70, mu = mean_true)$p.value
sample80 <- sample(swap70, 80)
print(paste("mean of 80 control sample:", mean(sample80)))
pvalue80 <- t.test(sample80, mu = mean_true)$p.value
if(pvalue70 <= 0.05){print("70 samples: significant")}else{print("70 samples: not significant")}
if(pvalue50 <= 0.05){print("50 samples: significant")}else{print("80 samples: not significant")}
library(ggplot2)
show <- data.frame(names = c("sample50", "sample70", "sample80"), 
                   mean = c(mean(sample50), mean(sample70), mean(sample80)),
                   se = c(sd(sample50)/sqrt(50), sd(sample70)/sqrt(70), sd(sample80)/sqrt(80)))
pdf("plot.pdf")
ggplot(show, aes(x = names, y = mean))+
  geom_errorbar(aes(ymin = mean - se, ymax = mean + se))+
  geom_bar(stat = "identity")+
  labs(title="Compare the data", 
       y = "mean", 
       x = "samples")+
  theme(plot.title = element_text(hjust = 0.5, size = 15))+
  geom_text(aes(y = 600, label = round(mean, 3)), 
            colour = "white",
            size = 5)+
  geom_hline(yintercept = mean_true, 
             colour = "darkorange", 
             size = 1, 
             linetype = "dashed")+
  geom_text(aes(x = 1, y = mean_true, label = paste("true mean:", round(mean_true, 3))), 
            colour = "darkorange",
            vjust = 1.5,
            size = 5)
dev.off()

#From Tianhang Chen
txt <- data.frame(read.table("brca-rsem-fpkm-tcga-lab.txt",header = TRUE,sep='\t'))
txt_1 <- subset(txt,txt$Hugo_Symbol=='SWAP70')
SWAP70<- as.vector(t(txt_1[,-1]))

mean0 <- mean(SWAP70)
mean0
sd0 <- sd(SWAP70)

library(Hmisc)
library(BSDA)
Hmisc::describe(SWAP70)

sa1 <- sample(SWAP70,size=50)
mean1 <- mean(sa1)
sd1 <- sd(sa1)

sa2 <- sample(SWAP70,size=70)
mean2 <- mean(sa2)
sd2 <- sd(sa2)

sa3 <- sample(SWAP70,size=80)
mean3 <- mean(sa3)
sd3 <- sd(sa3)


x=data.frame(num=c('50 of SWAP70 ','70 of SWAP70 ','80 of SWAP70 '),mean=c(mean1,mean2,mean3),sd=c(sd1,sd2,sd3))

library(graphics)
library(ggpubr)

png("4.png")
x$num <- factor(x$num,levels=c('50 of SWAP70 ','70 of SWAP70 ',"80 of SWAP70 "))
ggplot(data=x,aes(x=num,y=mean,fill=num))+
  geom_bar(stat = "identity",position=position_dodge(0.9),color="black")+
  geom_errorbar(aes(ymax=mean+sd, ymin=mean-sd), width=0.8)+
  geom_segment(aes(x=1, y=1000, xend=1, yend=1260))+
  geom_segment(aes(x=2, y=1000, xend=2, yend=1260))+
  geom_segment(aes(x=3, y=1000, xend=3, yend=1260))+
  geom_segment(aes(x=1, y=1260, xend=1.45, yend=1260))+
  geom_segment(aes(x=1.55, y=1260, xend=2.45, yend=1260))+
  geom_segment(aes(x=2.55, y=1260, xend=3, yend=1260))+
  annotate("text",x=1.5,y=1270,label="???",size=5)+
  annotate("text",x=2.5,y=1270,label="???",size=5)
dev.off()