rm(list = ls())
library(ggplot2)
tumor_data<-read.csv("/Users/quyixiang/Desktop/生物统计/lab/lab4/tumor.csv")
attach(tumor_data)
#Extract Data
table <- read.table('/Users/quyixiang/Desktop/生物统计/lab/lab4/brca-rsem-fpkm-tcga-t-lab.txt', header = T)
data <- table[(which(table$Hugo_Symbol == 'TP53')),]
TP53 <- as.double(as.matrix(data[1, (2:ncol(data))]))
TP53
# Descriptive statistics
mean(TP53)
min(TP53)
median(TP53)
range(TP53)
var(TP53)
sd(TP53)
summary(TP53)
quantile(TP53)
fivenum(TP53)
library(moments)
kurtosis(TP53)
skewness(TP53)
#boxplot
ggplot(data=tumor_data,aes("",TP53))+
  geom_boxplot(width=0.5)+
  xlab("tp53 expression")+
  theme_bw()
#hist
hist(TP53,prob=T,col = "lightblue",ylim = c(0,9e-4))
lines(density(TP53),col="red",lwd=2)
sd(TP53)/mean(TP53) #cv
sd(TP53)/sqrt(length(TP53)) #se
fivenum(TP53)[4]-fivenum(TP53)[2] #qd

tumor_data$label=ifelse(tumor_data$TP53>=1000,'high','normal')
mytheme<-theme(axis.text.y = element_text(size=10),
               axis.text.x = element_text(size=14,face='bold'),
               axis.title.y = element_text(size=14,face='bold'),
               axis.title.x = element_blank(),
               legend.text = element_text(size = 12),
               legend.position = 'right',
               legend.title = element_blank(),
)
ggplot(data = tumor_data,aes(label,TP53,col=label,fill=label))+
  geom_boxplot(col='#392f41',linetype=1,lwd=0.8,width=0.7,outlier.size = 1.5)+
  geom_jitter(alpha=0.3)+
  geom_rug(alpha=0.05)+
  scale_color_manual(values = c('#ffa400','#801dae'))+
  scale_fill_manual(values = c('#ffa400','#801dae'))+
  mytheme
#z.test
z.prop = function(p,n1,pc){
  numerator = p - pc
  denominator = sqrt(pc*(1-pc)*1/n1)
  z.prop.ris = numerator / denominator
  return(z.prop.ris)
}
n1 <- length(tumor_data$label)
p <- sum(unlist(tumor_data$label)=="high")/n1
z <- z.prop(p,n1,0.6)
pvalue <- 2 * pnorm(-abs(z),0,1)
pvalue

